From e68aacc084d65fd0780991265444061b24422bd0 Mon Sep 17 00:00:00 2001
From: Remi Cardona <remi@gentoo.org>
Date: Mon, 20 Oct 2008 19:17:36 +0200
Subject: [PATCH] make libgamin_shared a "noinst" libtool helper lib

---
 lib/Makefile.am      |    4 ++--
 libgamin/Makefile.am |   15 ++-------------
 server/Makefile.am   |    2 +-
 3 files changed, 5 insertions(+), 16 deletions(-)

diff --git a/lib/Makefile.am b/lib/Makefile.am
index 3e2289c..af2152a 100644
--- a/lib/Makefile.am
+++ b/lib/Makefile.am
@@ -7,9 +7,9 @@ if GAMIN_DEBUG
 INCLUDES += -DGAM_DEBUG_ENABLED
 endif
 
-lib_LIBRARIES = libgamin_shared.a
+noinst_LTLIBRARIES = libgamin_shared.la
 
-libgamin_shared_a_SOURCES =				\
+libgamin_shared_la_SOURCES =				\
 	gam_event.c					\
 	gam_event.h					\
 	gam_error.c					\
diff --git a/libgamin/Makefile.am b/libgamin/Makefile.am
index 35aa740..14fc06b 100644
--- a/libgamin/Makefile.am
+++ b/libgamin/Makefile.am
@@ -25,19 +25,9 @@ libgamin_1_la_SOURCES =					\
 	gam_data.h					\
 	gam_fork.c					\
 	gam_fork.h					\
-	gam_protocol.h					\
-	gam_error.c					\
-	gam_event.c
+	gam_protocol.h
 
-gam_error.c: $(top_srcdir)/lib/gam_error.c
-	@(cp $(top_srcdir)/lib/gam_error.c gam_error.c)
-
-gam_event.c: $(top_srcdir)/lib/gam_event.c
-	@(cp $(top_srcdir)/lib/gam_event.c gam_event.c)
-
-CLEANFILES=gam_error.c gam_event.c
-
-libgamin_1_la_LIBADD =
+libgamin_1_la_LIBADD = $(top_builddir)/lib/libgamin_shared.la
 
 libgamin_1_la_LDFLAGS = -Wl,--version-script=$(srcdir)/gamin_sym.version \
                         -version-info @GAMIN_VERSION_INFO@ @THREAD_LIBS@
@@ -54,6 +44,5 @@ noinst_PROGRAMS= gamin
 
 gamin_SOURCES = gamin.c
 gamin_LDFLAGS =
-gamin_DEPENDENCIES = $(DEPS) libgamin-1.la
 gamin_LDADD= $(LDADDS) libgamin-1.la
 
diff --git a/server/Makefile.am b/server/Makefile.am
index 37aed8b..6aa5e02 100644
--- a/server/Makefile.am
+++ b/server/Makefile.am
@@ -80,7 +80,7 @@ endif
 
 gam_server_LDFLAGS =
 gam_server_DEPENDENCIES = $(DEPS)
-gam_server_LDADD= $(top_builddir)/lib/libgamin_shared.a $(LDADDS) $(DAEMON_LIBS)
+gam_server_LDADD= $(top_builddir)/lib/libgamin_shared.la $(LDADDS) $(DAEMON_LIBS)
 
 if ENABLE_HURD_MACH_NOTIFY
 gam_server_LDADD += -lports -lthreads
-- 
1.6.0.2

